Bug 830006 - [WebTran] [Project-wide search and replace] Clicking at "select all" should also check the "all selected" checkbox on the top left of search result table
[WebTran] [Project-wide search and replace] Clicking at "select all" should a...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 21:31 EDT by Ding-Yi Chen
Modified: 2012-09-12 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120711-0026)
Doc Type: Bug Fix
Doc Text:
Cause: Clicking 'select all' checkbox does not check the 'all selected' box. Consequence: user interface confusion to users. Fix: Made both checkboxes in sync when select all.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-06-07 21:31:17 EDT
Description of problem:
The "all selected" checkbox (on the top left of search result table) should be also checked whenever the select all is clicked.

Version-Release number of selected component (if applicable):
1.6.1-SNAPSHOT (20120608-0019)

How reproducible:
Always

Steps to Reproduce:
1. Visit a project document with content.
2. Search with anything which is likely to return multiple results. Like 'e'
3. Click on "Select all"
  
Actual results:
The "all selected" checkbox is still un-checked.

Expected results:
The "all selected" checkbox should be checked.

Additional info:
IMHO, may be it will be better to remove either "select all" checkbox or "all selected" checkbox, so we have one less checkbox to worry about.
Comment 2 Ding-Yi Chen 2012-07-09 20:00:58 EDT
Tested with 1.7-SNAPSHOT (20120710-0026)
Clicking at "Seletc all" does check the "all selected" for each docuemnt.

However, uncheck one item should also uncheck the "all selected" for that document, as well as uncheck the "select all"

REASSIGNED.
Comment 3 Alex Eng 2012-07-09 21:58:01 EDT
Fixed in 1.7.

Uncheck any of the row will uncheck "Select All" as well as 'select all for each document.
Comment 4 Ding-Yi Chen 2012-07-11 00:06:53 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120711-0026).

Note You need to log in before you can comment on or make changes to this bug.